<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }
define("THEME_BULLET", "<span class='bullet'>&nbsp;</span>");
require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale,$userdata;
	
	//Header
 
	echo "<div id=\"full-header\">";
	echo "<div id=\"logo\">".showbanners()."</div>";
	echo "<div id=\"sub-header\">".showsublinks("","white")."</div>";
	echo "</div>\n";

	//Content
	echo "<table cellpadding='0' cellspacing='0' class=\"top-content\">\n<tr>\n";
	echo "<td class=\"top-left\">&nbsp;</td>";
	echo "<td class=\"top-center\">&nbsp;</td>";
	echo "<td class=\"top-right\">&nbsp;</td>";
	echo "</tr></table>";
	
	echo "<table cellpadding='0' cellspacing='0' width='880' class='content'>\n<tr>\n";
	echo "<td class=\"middle-left\">&nbsp;</td>";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "<td class=\"middle-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";

	echo "<table cellpadding='0' cellspacing='0' class=\"bottom-content\">\n<tr>\n";
	echo "<td class=\"bottom-left\">&nbsp;</td>";
	echo "<td class=\"bottom-center\">&nbsp;</td>";
	echo "<td class=\"bottom-right\">&nbsp;</td>";
	echo "</tr></table>";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' class=\"footer\">\n<tr>\n";
	echo "<td class=\"counter\">Counter: ".showcounter()."</td>";
	echo "<td class=\"signature\">MetalPaper by <a href=\"http://www.phpfusionbox.com\"><p style=\"color: #7d1441; margin: 0px; display: inline;\">Voodoo</p></a></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' class=\"bottom-footer\">\n<tr>\n";
	echo "<td>".stripslashes($settings['footer'])."<br/>".showcopyright()."</td>";
	echo "</tr></table>";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='right' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='captablemain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr>\n</table>\n";
}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"side-body\">\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n";
	echo "</tr>\n</table>";
}
?>
